"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configFile = exports.compareThreshold = exports.asyncTimeout = exports.apiSecret = exports.apiKey = exports.afterSyncComparison = void 0;
exports.customizeWebpackConfig = customizeWebpackConfig;
exports.webpack = exports.type = exports.tmpdir = exports.targets = exports.stylesheets = exports.setupScript = exports.renderWrapperModule = exports.publicFolders = exports.project = exports.prerender = exports.plugins = exports.pages = exports.jsdomOptions = exports.include = exports.githubApiUrl = exports.generateStaticPackage = exports.endpoint = void 0;
var _os = _interopRequireDefault(require("os"));
var _path = _interopRequireDefault(require("path"));
var _RemoteBrowserTarget = _interopRequireDefault(require("./RemoteBrowserTarget"));
var _createHash = _interopRequireDefault(require("./createHash"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const cwdUniqueFolderName = `happo-tmp-${(0, _createHash.default)(process.cwd()).slice(0, 5)}`;
const apiKey = exports.apiKey = process.env.HAPPO_API_KEY;
const apiSecret = exports.apiSecret = process.env.HAPPO_API_SECRET;
const endpoint = exports.endpoint = 'https://happo.io';
const include = exports.include = '**/@(*-happo|happo).@(js|jsx|ts|tsx)';
const stylesheets = exports.stylesheets = [];
const setupScript = exports.setupScript = undefined;
const project = exports.project = undefined;
const targets = exports.targets = {
  chrome: new _RemoteBrowserTarget.default('chrome', {
    viewport: '1024x768'
  })
};
const asyncTimeout = exports.asyncTimeout = 200;
const configFile = exports.configFile = './.happo.js';
const type = exports.type = 'react';
const plugins = exports.plugins = [];
const prerender = exports.prerender = true;
const publicFolders = exports.publicFolders = [];
const tmpdir = exports.tmpdir = _path.default.join(_os.default.tmpdir(), cwdUniqueFolderName);
const renderWrapperModule = exports.renderWrapperModule = undefined;
const githubApiUrl = exports.githubApiUrl = 'https://api.github.com';
const compareThreshold = exports.compareThreshold = undefined;
const generateStaticPackage = exports.generateStaticPackage = undefined;
const afterSyncComparison = exports.afterSyncComparison = undefined;
const pages = exports.pages = undefined;
function customizeWebpackConfig(config) {
  // provide a default no-op for this config option so that we can assume it's
  // always there.
  return config;
}
const webpack = exports.webpack = undefined;
const jsdomOptions = exports.jsdomOptions = undefined;