"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = startJob;
var _makeRequest = _interopRequireDefault(require("../makeRequest"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function startJob(sha1, sha2, {
  link,
  message
}, {
  apiKey,
  apiSecret,
  endpoint,
  project
}) {
  return (0, _makeRequest.default)({
    url: `${endpoint}/api/jobs/${sha1}/${sha2}`,
    method: 'POST',
    json: true,
    body: {
      project,
      link,
      message
    }
  }, {
    apiKey,
    apiSecret,
    retryCount: 5
  });
}