"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const isFunction = value => typeof value === 'function';
var _default = (defaultOptions, customOptions = {}) => {
  const result = {
    ...defaultOptions
  };
  Object.entries(customOptions).forEach(([customOptionKey, customOptionValue]) => {
    const defaultOptionValue = result[customOptionKey];
    const areBothFunctions = [defaultOptionValue, customOptionValue].every(isFunction);
    result[customOptionKey] = areBothFunctions ? (...args) => {
      defaultOptionValue(...args);
      customOptionValue(...args);
    } : customOptionValue;
  });
  return result;
};
exports.default = _default;